/*
* BJ-Keyer 
*
* 2023-07-29    Tom, DL7BJ
* 
*/
#ifndef MAIN_H_INCLUDED
#define MAIN_H_INCLUDED

#include "globals.h"
#include "encoder.h"
#include "functions.h"
#include "controls.h"

struct Config bConfig;
struct MenuCtrl bMenuCtrl;
struct State bState;
// Function prototypes
void Init(void);
void InitTimer(void);

void CheckDahPaddle(void);
void CheckDitPaddle(void);
void CheckPaddle(void);
void CheckStraightKey(void);
void SendDit(uint8_t SendingType);
void SendDah(uint8_t SendingType);
void SideToneOff(void);
void SideToneOn(void);
void TXKey(uint8_t State);
void SendChar(uint8_t);
void ChangeSpeed(void);
void DoMorse(void);

void SetFrequency(uint16_t f);

#endif // BJ-KEYER_H_INCLUDED
